<URL: http://bugs.freeciv.org/Ticket/Display.html?id=40610 >

> [guest - Wed Jan 07 23:12:40 2009]:
> 
> I am using gcc 4.3.2,
> but by using "-O1" it works - thanks.

This is strange. I thought the assertion was being triggered
due to miscompiled code caused by a bug in gcc 4.2, that has
since been fixed in gcc 4.3. I even tested the default compile
of 2.1.8 with gcc 4.3.2 and I did not get the assertion failure.
Perhaps then redhat added some custom patches to its gcc?


> $ gcc -v
> Es werden eingebaute Spezifikationen verwendet.
> Ziel: i386-redhat-linux
> Konfiguriert mit: ../configure --prefix=/usr --mandir=/usr/share/man
> --infodir=/usr/share/info
> --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap
> --enable-shared --enable-threads=posix --enable-checking=release
> --with-system-zlib --enable-__cxa_atexit --disable-libunwind-
exceptions
> --enable-languages=c,c++,objc,obj-c++,java,fortran,ada
> --enable-java-awt=gtk --disable-dssi --enable-plugin
> --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre
> --enable-libgcj-multifile --enable-java-maintainer-mode
> --with-ecj-jar=/usr/share/java/eclipse-ecj.jar
> --disable-libjava-multilib --with-cpu=generic --build=i386-redhat-
linux
> Thread-Modell: posix
> gcc-Version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) 

For comparison on my machine:

$ gcc -v
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: ../gcc-4.3.2/configure --prefix=/usr
Thread model: posix
gcc version 4.3.2 (GCC)


:(


-----------------------------------------------------------------------
元気出して。とにかく、近頃はその種の帽子をかぶらないよね。

_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to